> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get service provider configuration

GET https://api.getpostman.com/scim/v2/ServiceProviderConfig

Gets the Postman SCIM API configuration information. This includes a list of supported operations.

Reference: https://learning.postman.com/api-docs/api-reference/scim/get-scim-service-provider-config

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/ServiceProviderConfig:
    get:
      operationId: getScimServiceProviderConfig
      summary: Get service provider configuration
      description: >-
        Gets the Postman SCIM API configuration information. This includes a
        list of supported operations.
      tags:
        - scim
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getScimServiceProviderConfig'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    GetScimServiceProviderConfigPatch:
      type: object
      properties:
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: Information about patch configuration.
      title: GetScimServiceProviderConfigPatch
    GetScimServiceProviderConfigBulk:
      type: object
      properties:
        maxOperations:
          type: number
          format: double
          description: The total number of maximum operations allowed for bulk operations.
        maxPayloadSize:
          type: number
          format: double
          description: The maximum payload allowed for bulk operations.
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: Information about bulk configuration.
      title: GetScimServiceProviderConfigBulk
    GetScimServiceProviderConfigFilter:
      type: object
      properties:
        maxResults:
          type: number
          format: double
          description: The total number of maximum results allowed for filter operations.
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: Information about the filter configuration.
      title: GetScimServiceProviderConfigFilter
    GetScimServiceProviderConfigChangePassword:
      type: object
      properties:
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: Information about the change password configuration.
      title: GetScimServiceProviderConfigChangePassword
    GetScimServiceProviderConfigSort:
      type: object
      properties:
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: Information about the sort configuration.
      title: GetScimServiceProviderConfigSort
    GetScimServiceProviderConfigAuthenticationSchemesItems:
      type: object
      properties:
        description:
          type: string
          description: The scheme's description.
        name:
          type: string
          description: The scheme's friendly name.
        specUri:
          type: string
          format: url
          description: A link to the scheme's specification documentation.
        type:
          type: string
          description: The scheme's type.
      description: Information about the scheme.
      title: GetScimServiceProviderConfigAuthenticationSchemesItems
    GetScimServiceProviderConfigEtag:
      type: object
      properties:
        supported:
          type: boolean
          description: If true, the feature is supported.
      description: >-
        Information about the [entity
        tag](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/ETag)
        (Etag) HTTP response header configuration.
      title: GetScimServiceProviderConfigEtag
    GetScimServiceProviderConfigMeta:
      type: object
      properties:
        resourceType:
          type: string
        location:
          type: string
          format: url
      description: The response's non-standard meta information.
      title: GetScimServiceProviderConfigMeta
    getScimServiceProviderConfig:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        documentationUri:
          type: string
          format: url
          description: A link to the URI's documentation.
        patch:
          $ref: '#/components/schemas/GetScimServiceProviderConfigPatch'
          description: Information about patch configuration.
        bulk:
          $ref: '#/components/schemas/GetScimServiceProviderConfigBulk'
          description: Information about bulk configuration.
        filter:
          $ref: '#/components/schemas/GetScimServiceProviderConfigFilter'
          description: Information about the filter configuration.
        changePassword:
          $ref: '#/components/schemas/GetScimServiceProviderConfigChangePassword'
          description: Information about the change password configuration.
        sort:
          $ref: '#/components/schemas/GetScimServiceProviderConfigSort'
          description: Information about the sort configuration.
        authenticationSchemes:
          type: array
          items:
            $ref: >-
              #/components/schemas/GetScimServiceProviderConfigAuthenticationSchemesItems
          description: A list of authentication schemes.
        etag:
          $ref: '#/components/schemas/GetScimServiceProviderConfigEtag'
          description: >-
            Information about the [entity
            tag](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/ETag)
            (Etag) HTTP response header configuration.
        meta:
          $ref: '#/components/schemas/GetScimServiceProviderConfigMeta'
          description: The response's non-standard meta information.
      description: >-
        Information about Postman's SCIM API configurations and supported
        operations.
      title: getScimServiceProviderConfig
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
  ],
  "documentationUri": "https://learning.postman.com/docs/administration/managing-your-team/configuring-scim",
  "patch": {
    "supported": true
  },
  "bulk": {
    "maxOperations": 0,
    "maxPayloadSize": 0,
    "supported": false
  },
  "filter": {
    "maxResults": 100,
    "supported": true
  },
  "changePassword": {
    "supported": false
  },
  "sort": {
    "supported": false
  },
  "authenticationSchemes": [
    {
      "description": "Authentication scheme using the OAuth Bearer Token Standard",
      "name": "OAuth Bearer Token",
      "specUri": "http://www.rfc-editor.org/info/rfc6750",
      "type": "oauthbearertoken"
    }
  ],
  "etag": {
    "supported": false
  },
  "meta": {
    "resourceType": "ServiceProviderConfig",
    "location": "https://api.getpostman.com/scim/v2/ServiceProviderConfig"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/scim/v2/ServiceProviderConfig"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/scim/v2/ServiceProviderConfig';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/ServiceProviderConfig"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/ServiceProviderConfig")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/scim/v2/ServiceProviderConfig")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/scim/v2/ServiceProviderConfig', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/ServiceProviderConfig");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/ServiceProviderConfig")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```